#include <stdio.h>
#include <ctype.h>


int main( void ){

  int occorrenze[ 'Z' - 'A' + 1 ] = {0};
  int i, n;
  char c;

  /* leggo input e memorizzo numero di occorrenze per ciascuna lettera */
  while ( ( c = getchar() ) != '.' ) {
    if ( isalpha( c ) ) 
      occorrenze[ toupper(c) - 'A' ]++;
  }

  for ( c = 'A'; c <= 'Z'; c++ )
    if ( ( n = occorrenze[ c - 'A' ] ) > 0 ) {
      printf( "%c ", c );
      for ( i = 0; i < n; i++ )
        printf( "*" );
      printf( "\n" );
    }

  return 0;
}
