#include <stdio.h>
#include <ctype.h>

#define LUNG 5

int main( void ){

  int occorrenze[ 'Z' - 'A' + 1 ] = {0};
  int i, n;
  char c;

  /* leggo la prima parola e incremento via via le occorrenze */
  while ( ( c = getchar() ) != ' ' ) {
    putchar( c );
    if ( isalpha( c ) ) 
      occorrenze[ toupper(c) - 'A' ]++;
  }
  putchar( ' ' );
  putchar( 'e' );
  putchar( ' ' );
  
  /* leggo la seconda parola e decremento via via le occorrenze */
  while ( ( c = getchar() ) != '\n' ) {
    putchar( c );
    if ( isalpha( c ) ) 
      occorrenze[ toupper(c) - 'A' ]--;
  }
    
  for ( c = 'A'; c <= 'Z'; c++ ) {
    if ( ( n = occorrenze[ c - 'A' ] ) != 0 ) {
      printf( " non sono anagrammi.\n" );
      break;
    }
  }
  if ( c == 'Z' + 1 )
    printf( " sono anagrammi.\n" );
  
  return 0;
}
