/* Ordinamento per inserimento

Scrivete una programma che legga da standard input una sequenza di interi
distinti (potete assumere che la sequenza sia formata al pi 100 numeri),
memorizzandoli in un vettore ordinato: ogni volta che viene letto un nuovo
intero, il vettore viene scorso fino a trovare l'esatta collocazione del numero,
quindi si crea lo spazio per il nuovo numero spostando in avanti i numeri
successivi gi memorizzati.

*/

#include <stdio.h>

/* N: lunghezza massima della sequenza */
#define N 100

typedef int Oggetto;

int main( void ){
	
	Oggetto seq[N] = {0};
	Oggetto n; /* nuovo oggetto da inserire */
  int dim; /* numero di oggetti gi inseriti */
  int i,j;
	
	printf( "Inserisci una sequenza di interi terminata da 0: " );
	do {
		scanf( "%d", &n );
		if ( n == 0 ) break;
		
		/* ciclo per individuare la posizione i in cui inserire n: */
		for ( i = 0; i < dim; i++) {
			if ( n > seq[i] )
				continue;
			/* trovata la posizione i, sposto in avanti i numeri pi
			grandi di n gi memorizzati in seq (quindi nelle posizioni j >= i): */
			else {
				for ( j = dim - 1; j >= i; j--)
					seq[j+1] = seq[j];
				break;
			}
		} 
		seq[i] = n;
		dim++;
		
	} while ( dim < N );
		
	
	/* stampa della sequenza */
	printf( "sequenza di %d interi: ", dim );
	for ( i = 0; i < dim; i++ ) {
		printf( "%d  ", seq[i] );
		
	}
	printf( "\n" );
	
	return 0;
}
