/* Programma che stampa il quadrato magico di dimensione n X n, con n dispari 

Un quadrato magico di dimensione n X n  è una disposizione dei numeri 1, 2, ..., n^2 tale che in ogni riga, in ogni colonna e nelle due diagonali la somma dei numeri sia la stessa.

Memorizzate il quadrato magico in un array bidimensionale. Iniziate mettendo il numero 1 al centro della riga 0. Mettete i rimanenti numeri nell'ordine muovendovi in alto di una riga e a destra di una colonna. Se una cella risulta essere già occupata da un altro numero, allora mettete il numero esattamente sotto il numero immediatamente precedente. Ogni volta che si raggiunge un bordo, bisogna proseguire ripartendo dal lato opposto del quadrato. Ad esempio, se avete messo un numero nella cella di riga 3 e colonna $n-1$, allora il successivo andrà messo in riga 4 e colonna $0$.

*/

#include <stdio.h>
#define N 100

int main( void ){
  
  int n, quadrato[N][N] = {{0}}, k = 1;
  int i, j, inew, jnew, somma, ver = 0;
  
  printf( "Inserisci la dimensione del quadrato: " );
  scanf( "%d", &n );
  
  i = 0; j = n/2;
  /*printf( "Init pos: (%d, %d)\n", i, j );*/
  for ( k = 1; k <= n*n; k++ ) {
    quadrato[i][j] = k;
    inew = ( i == 0 ) ? n - 1 : i - 1;
    jnew = ( j == n - 1 ) ? 0 : j + 1;
    /*printf( "Nuova pos: (%d, %d)\n", inew, jnew );*/
    if ( quadrato[ inew ][ jnew ] == 0 ) {
      i = inew;
      j = jnew;
      /*printf( "Nuova pos accettata: (%d, %d)\n", i, j );*/
    }
    else {
      i++; 
      /*printf( "Nuova pos non accettata: scelgo invece (%d, %d)\n", i, j );*/
    }
  }
	
  for ( i = 0; i < n; i++ ) {
    for ( j = 0; j < n; j++ )
      printf( "%2d\t", quadrato[i][j] );
    printf( "\n" );
  }
  
/* verifica
  printf( "Verifica:\n" );
  ver = n * ( n * n + 1) / 2;
  for ( i = 0; i < n; i++ ) {
    somma = 0;
    for ( j = 0; j < n; j++ )
      somma += quadrato[i][j];
    printf( "Somma nella riga %d: %d\n", i, somma );
    if ( somma != ver )
      printf( "Errore!\n" );
  }
  

  for ( j = 0; j < n; j++ ) {
    somma = 0;
    for ( i = 0; i < n; i++ )
      somma += quadrato[i][j];
    printf( "Somma nella colonna %d: %d\n", j, somma );
    if ( somma != ver )
      printf( "Errore!\n" );
  }
	
  somma = 0;
  for ( i = 0; i < n; i++ ) 
    somma += quadrato[i][i];
  printf( "Somma nella diagonale principale: %d\n", somma );
  if ( somma != ver )
    printf( "Errore!\n" );
  
  somma = 0;
  for ( i = 0; i < n; i++ ) 
    somma += quadrato[i][n-i-1];
  printf( "Somma nella diagonale secondaria: %d\n", somma );
  if ( somma != ver )
    printf( "Errore!\n" );
  */
  return 0;
}
