#include<stdio.h>
#include<stdlib.h>
#include<string.h>

#define LUNG 20         /* lunghezza massima delle stringhe */
#define MAX_VOCI 3     /* numero massimo di voci in rubrica */


typedef char Stringa[LUNG + 1];

struct voce {
   Stringa nominativo;
   Stringa telefono;
};


int main() {

  struct voce rubrica[MAX_VOCI];      /* rubrica e' un array di MAX_VOCI voci */
  int n = 0;                          /* numero di voci effettivamente inserite */
  int i, j;
  char comando, ch;
  Stringa nome, tel;

  while ( 1 ) {
    
    printf( "\nMENU\n");
    printf( "I per inserire una voce\nS per stampare tutta la rubrica\nQ per uscire\n" );
    printf( "Inserisci un comando: " );
    comando = getchar();
/*     putchar( comando ); */
    getchar();

    switch( comando ) {
    
        case 'I':
          if ( n == MAX_VOCI )
            printf( "La rubrica e' piena. Non è possibile inserire altri nominativi.\n" );
          else {
            /* leggo il nuovo nominativo: */
            printf( "\nInserisci un nuovo nominativo: " );
            j = 0;
            while ( ( ch = getchar() ) != '\n' ) {
              if ( j <= LUNG )
                nome[j++] = ch;
            }
            if ( j == LUNG + 1 ) {
              printf( "Attenzione: il nominativo è stato tagliato (max %d caratteri)!\n", LUNG );
              nome[LUNG] = '\0';
            }
            nome[j] = '\0';
 
            /* assegno al nominativo della n-esima voce della rubrica il valore nom: */
            strcpy( rubrica[n].nominativo, nome );

            /* leggo il nuovo telefono: */
            printf( "Inserisci numero di telefono: " );
            j = 0;
            while ( ( ch = getchar() ) != '\n' ) {
              if ( j <= LUNG )
                tel[j++] = ch;
            }
            if ( j == LUNG + 1 ) {
              printf( "Attenzione: il telefono è stato tagliato (max %d caratteri)!\n", LUNG );
              tel[LUNG] = '\0';
            }
            tel[j] = '\0';
            
            /* assegno al nominativo della n-esima voce della rubrica il valore nom: */
            strcpy( rubrica[n].telefono, tel );
            
            /*printf( "Nai inserito l'%d-esimo nominativo: %s, con tel %s.\n", n, rubrica[n].nominativo, rubrica[n].telefono );*/
  
            n++;
          }
          break;
  
        case 'S': 
          printf( "\n\n* RUBRICA:\n" );
          
          for ( i = 0; i < n; i++ ) {
            /* riga di intestazione */
            for ( j = 0; j < LUNG; j++ )
              printf( "*");
            printf( "*******************\n" );
   
            /* stampa dei dati */
            printf( "* Nominativo: %s\n", rubrica[i].nominativo );
            printf( "* Telefono: %s\n", rubrica[i].telefono );
          }

          /* riga di chiusura */
          for ( j = 0; j < LUNG; j++ )
            printf( "*");
          printf( "*******************\n" );
          break;

        case 'Q': 
          return 0;

        default:
          break;

    }

  }


  return 0;
}

